ull/5635

  

Description

Setting "Update subnets from facts" makes discovery impossible if taxonomy does not match the host leading to "Subnet is not

defined for host's organization". Discovery uses standard core Puppet parser to recognize all interfaces, therefore discovery users

must have all subnet taxonomy aligned with discovered host taxonomy, even if they don't plan to use all interfaces.

This patch adds flag keep_subnet which is added by discovery, when present subnet is never updated. This prevents the

misbehavior when the flag is set.

Related issues:

Related to Discovery - Bug #23224: Update subnets from facts breaks discovery Closed 04/11/2018

Associated revisions

Revision fcc2b55d - 06/15/2018 07:25 AM - Lukas Zapletal

Fixes #23768 - keep_subnet flag to prevent subnet override (#5635)

History

#1 - 06/01/2018 11:39 AM - Lukas Zapletal

- Subject changed from Fact parser flag keep_subnet to prevend subnet override during fact upload to Fact parser flag keep_subnet to prevent subnet

override during fact upload

#2 - 06/01/2018 11:40 AM - Lukas Zapletal

- Related to Bug #23224: Update subnets from facts breaks discovery added

#3 - 06/01/2018 11:41 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/5635 added

#4 - 06/15/2018 07:25 AM - Marek Hulán

- translation missing: en.field_release set to 353

#5 - 06/15/2018 08:01 AM - Lukas Zapletal

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset fcc2b55d07cbb3708f2fab212bf57a3366561d06.
